Page MenuHomePhabricator

efl_ui_position_manager: pass on information about group ids
ClosedPublic

Authored by bu5hm4n on Aug 16 2019, 8:54 AM.

Details

Summary

every batched call will now contain the id of the first item, if the
conditions in the documentation are met.

ref T8115

Depends on D9585

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 16 2019, 8:54 AM
bu5hm4n requested review of this revision.Aug 16 2019, 8:54 AM
bu5hm4n updated this revision to Diff 24114.Aug 16 2019, 9:11 AM
bu5hm4n edited the summary of this revision. (Show Details)

fix test suite crash

segfaultxavi requested changes to this revision.Aug 16 2019, 10:01 AM
segfaultxavi added a subscriber: segfaultxavi.

Enums need a doc for themselves, besides the doc for each individual value. Same thing for the structs. Why isn't this triggering build breaks???
Also, please always add a period at the end of sentences. Sometimes doc generators merge multiple sentences and they make no sense of there is no punctuation. I think I have not seen any period in efl_ui_position_manager_entity.eo...

The texts look ok-ish, but once the above is done I will be able to better understand what is going on and maybe propose more changes.

You though the doc police was on holidays? HA!

src/lib/elementary/efl_ui_position_manager_entity.eo
3

Missing enum docs.

9

Missing struct docs.

14

Missing struct docs.

19

Missing struct docs.

This revision now requires changes to proceed.Aug 16 2019, 10:01 AM

There is something I would like to discuss here. This patch introduce a structure that is filled by the batch callback function. If we need in the future to have more data exchanged between the collection and the position manager, we will either need to break API or add a new callback. In C++ to avoid unnecessary API break, they add a few not used filler data in the structure, that can be renamed and type changed later. What do you think of adding maybe a few uint64_t there for spacing and later evolution.

bu5hm4n planned changes to this revision.Aug 16 2019, 10:42 AM

sounds good to me :)
Will do that. And of coarse is will update the docs

@cedric Okay - after thinking again about it: I feel a little bit like this will cause problems in Bindings. What do you think of adding a getter-only property to the interface like "passing-version" if passing version is 1 we are using the data_access like now, in the future we can extend this to also support 2 which is then another function call passing other function callbacks with different signatures etc.? This way we would have the full posibility of remodeling even the complete callback idea ... :)

Okay i think we need to overthink this patch. It decreases the cache efficiancy a lot, and makes everything ... slower.

bu5hm4n updated this revision to Diff 24163.Aug 18 2019, 1:14 AM

update docs

Lets continue the discussion in the RFC ticket, i think we should go with something like this for now. Do benchmarking, and see what we should change.

cedric accepted this revision.Aug 19 2019, 4:11 PM

I am ok with a version negotiation protocol to be introduced later.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 20 2019, 10:51 PM
Closed by commit rEFLe2b859bdaeab: efl_ui_position_manager: pass on information about group ids (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.